## odot 1.2.0

=== Makefile ===
PREFIX=/usr/local
BINDIR=${PREFIX}/bin
DATADIR=${PREFIX}/share
MANDIR=${DATADIR}/man
MAN1DIR=${MANDIR}/man1

all: manpage

manpage:
	pod2man odot.pod > odot.1

install: all
	mkdir -p ${BINDIR} ${MAN1DIR}
	install -m 0755 odot ${BINDIR}
	install -m 0644 odot.1 ${MAN1DIR}

uninstall:
	rm -f ${BINDIR}/odot ${MAN1DIR}/odot.1

clean:
	rm -f odot.1

## odot 1.3.0

=== Makefile ===
PREFIX=/usr/local
BINDIR=${PREFIX}/bin
DATADIR=${PREFIX}/share
MANDIR=${DATADIR}/man
MAN1DIR=${MANDIR}/man1

TARARGS=--exclude .svn -C .. --transform 's|^odot|odot-${VERSION}|' --show-transformed

PROGRAM=odot
PODFILE=odot.pod
MANFILE=odot.1

${MANFILE}: ${PODFILE}
	pod2man ${PODFILE} > ${MANFILE}

all: ${MANFILE}

release: ${MANFILE}
	svn2cl --reparagraph
	tar ${TARARGS} -cvzf ../odot-${VERSION}.tar.gz odot

install: ${MANFILE}
	mkdir -p ${BINDIR} ${MAN1DIR}
	install -m 0755 ${PROGRAM} ${BINDIR}
	install -m 0644 ${MANFILE} ${MAN1DIR}

uninstall:
	rm -f ${BINDIR}/${PROGRAM} ${MAN1DIR}/${MANFILE}

clean:
	rm -f ${MANFILE} ChangeLog

=== debian/changelog ===
odot (1.3.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #615689)
  * Updated DH level to 9. (Closes: #817601)
  * Updated menu entry.
  * debian/control:
    - Added ${misc:Depends} in Depends field.
    - Bumped Standards-Version to 3.9.8.
    - Improve Long Description field
  * debian/copyright:
    - Update Copyright format to 1.0.
  * debian/source:
    - Added format 3.0 (quilt).
  * debian/watch:
    - Improved watch file.
    - Updated to version 4.

 -- Fernando Ike <fike@midstorm.org>  Wed, 24 Aug 2016 13:13:38 -0300

odot (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 25 Dec 2005 11:51:05 +0100

odot (1.0.3-1) unstable; urgency=low

  * New upstream release:
    + Fix save_on_quit to work with completely new files
    + Fix ugly Gtk-Warning if dragging an item to the top-level

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri,  6 May 2005 17:40:30 +0200

odot (1.0.2-1) unstable; urgency=low

  * New upstream release, also fixing the crash when using the "Add" button
    before finishing the last item. (Closes: #307239)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed,  4 May 2005 23:21:56 +0200

odot (1.0.1-1) unstable; urgency=low

  * New upstream release fixing the weird bug experienced with Gtk+2.6.
    (Closes: #294964)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 20 Feb 2005 21:13:43 +0100

odot (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 23 Oct 2004 01:39:05 +0200

odot (0.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon,  6 Sep 2004 19:38:04 +0200

odot (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed, 11 Aug 2004 21:20:50 +0200

odot (0.9-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable, as the dependencies are now in unstable.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Tue, 27 Apr 2004 11:11:48 +0200

odot (0.8-1) experimental; urgency=low

  * Initial Release to experimental, as the needed libs are not in unstable.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 18 Mar 2004 09:39:04 +0100

=== debian/control ===
Source: odot
Section: x11
Priority: optional
Maintainer: Marc 'HE' Brockschmidt <he@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: http://home.arcor.de/kaffeetisch/odot.html

Package: odot
Architecture: all
Depends: libdatetime-perl,
         libgtk2-perl (>= 1:1.040),
         libgtk2.0-0 (>= 2.2.0),
         libxml-parser-perl,
         perl (>= 5.8.0),
         ${misc:Depends}
Recommends: libdbi-perl
Description: task list manager written in Gtk2-Perl
 Odot is a task list manager that organizes tasks hierarchically and emphasizes
 due ones. It has advanced keyboard support and can also be used as an
 outliner. Any action is undoable.

=== debian/rules ===
#!/usr/bin/make -f

TMP=$(CURDIR)/debian/odot

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) PREFIX=$(TMP)/usr
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	#-$(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(TMP) PREFIX=$(TMP)/usr
	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs NEWS
	dh_installmenu
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=4
http://home.arcor.de/kaffeetisch/odot.html \
  downloads/odot-((?:\d+\.)+\d+)\.tar\.gz debian uupdate
